Subject: Re: bug#40113: 28.0.50; Tramp uses 100% CPU then times out

From: Alan Third <[email-masked]>
Date: Wed, 18 Mar 2020 15:58:45 +0100 (CET)

On Wed, Mar 18, 2020 at 11:52:03AM +0100, Michael Albinus wrote:
> Alan Third <[email-masked]> writes:
> 
> > When I try to open "/ssh:warhorse:" Emacs uses 100% CPU and after a minute or
> > so gives me a timeout error. The buffer *tramp/ssh warhorse* doesn't
> > exist. Strangely one of my three linux boxes appears to connect OK,
> > but two time out. I can't see anything different between them.
> >
> > I can ssh to them OK. I'm using zsh as the shell with the same .zshrc on all
> > three.
> >
> > I'm unsure how to debug this problem further.
> 
> Set tramp-verbose to 6. Show Tramp's debug buffer after the timeout.

The debug buffer has about 150MB of data in it. Even compressed it’s
over 4MB. Should I send it over or is there something specific you
want me to look for?

> Is it possible to interrupt Tramp with C-g?

Yes, it takes a few seconds to react, but it does work.
-- 
Alan Third